TelepathyQt4: Tp::MediaContent Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::MediaContent Class Reference
[Channel proxies]

The MediaContent class provides an object representing a Telepathy media content. More...

`#include <TelepathyQt4/StreamedMediaChannel>`

Inherits Tp::ReadyObject, and Tp::RefCounted.

List of all members.

## Signals

- void streamAdded (const Tp::MediaStreamPtr &stream)
- void streamRemoved (const Tp::MediaStreamPtr &stream)

## Public Member Functions

- ~MediaContent ()
- StreamedMediaChannelPtr channel () const
- QString name () const
- MediaStreamType type () const
- ContactPtr creator () const
- MediaStreams streams () const

## Detailed Description

The MediaContent class provides an object representing a Telepathy media content.

Instances of this class cannot be constructed directly; the only way to get one is via StreamedMediaChannel.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::MediaContent::~MediaContent | ( |  | ) |

Class destructor.

## Member Function Documentation

StreamedMediaChannelPtr Tp::MediaContent::channel | ( |  | ) | const

Return the channel owning this media content.

Returns:
  The channel owning this media content.

QString Tp::MediaContent::name | ( |  | ) | const

Return the name of this media content.

Returns:
  The name of this media content.

MediaStreamType Tp::MediaContent::type | ( |  | ) | const

Return the type of this media content.

Returns:
  The type of this media content.

ContactPtr Tp::MediaContent::creator | ( |  | ) | const

Return the contact who created this media content.

Returns:
  The contact who created this media content.

MediaStreams Tp::MediaContent::streams | ( |  | ) | const

Return the media streams of this media content.

Returns:
  A list of media streams of this media content.

See also:
  streamAdded(), streamRemoved()

void Tp::MediaContent::streamAdded | ( | const Tp::MediaStreamPtr & | stream | ) | `[signal]`

This signal is emitted when a new media stream is added to this media content.

Parameters:

  | stream | The media stream that was added.

See also:
  streams()

void Tp::MediaContent::streamRemoved | ( | const Tp::MediaStreamPtr & | stream | ) | `[signal]`

This signal is emitted when a new media stream is removed from this media content.

Parameters:

  | stream | The media stream that was removed.

See also:
  streams()